cURL
curl --request GET \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/holdings/constituents/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/holdings/constituents/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/holdings/constituents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"symbol": "<string>",
"tilt_asset_id": "<string>",
"total_market_value": "<string>",
"total_quantity": "<string>",
"num_clients": 123
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Metrics & Reporting
Get Aggregate Holdings by Constituents
Get an aggregated report for the holdings across all clients, grouped by constituent. The results are sorted by descending total market value.
GET
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
reports
/
holdings
/
constituents
/
cURL
Authorizations
Path Parameters
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Filter by ticker symbol
⌘I